{% extends "../../layout.jinja2" %}

{% block content %}
<div class="card">
    <div class="card-header">
        Interferometer
    </div>
    <div class="card-body">
        <dl>
            <dt>ID</dt>
            <dd>{{ interferometer.id }}</dd>
            <dt>Name</dt>
            <dd>{{ interferometer.name }}</dd>
            <dt>Latitude</dt>
            <dd>{{ interferometer.latitude }}</dd>
            <dt>Longitude</dt>
            <dd>{{ interferometer.longitude }}</dd>
            <dt>Altitude</dt>
            <dd>{{ interferometer.altitude }}</dd>
            <dt>Header Count</dt>
            <dd>{{ interferometer.headers_count or 0 }}</dd>
            <dt>Observation Count</dt>
            <dd>{{ interferometer.observations_count or 0 }}</dd>
            <dt>Exposure Count</dt>
            <dd>{{ interferometer.exposures_count or 0 }}</dd>
        </dl>
    </div>
</div>

<div class="card">
    <div class="card-header">
        Instruments
    </div>
    <div class="card-body">
        <table class="table">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Name</th>
                    <th>Headers</th>
                    <th>Observations</th>
                    <th>Exposures</th>
                </tr>
            </thead>
            <tbody>
            {% for instrument in interferometer.instruments %}
                <tr>
                    <td><a href="{{ request.route_path('detail', type='instrument', id=instrument.id) }}">{{ instrument.id }}</a></td>
                    <td>{{ instrument.name }}</td>
                    <td>{{ instrument.headers_count or 0 }}</td>
                    <td>{{ instrument.observations_count or 0 }}</td>
                    <td>{{ instrument.exposures_count or 0 }}</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
</div>

{% endblock content %}